unit WinCryptSub;

interface

uses Windows;

type
  ULONG_PTR = ULONG;
  HCRYPTPROV = ULONG_PTR;

const
  PROV_RSA_FULL = 1;
  CRYPT_VERIFYCONTEXT = $F0000000;

function CryptAcquireContext(out hProv: HCRYPTPROV; pszContainer: LPCSTR;
    pszProvider: LPCSTR; dwProvType: DWORD; dwFlags: DWORD): BOOL; stdcall;
    external advapi32 name 'CryptAcquireContextA';
function CryptReleaseContext(hProv: HCRYPTPROV; dwFlags: DWORD): BOOL; stdcall;
    external advapi32 name 'CryptReleaseContext';
function CryptGenRandom(hProv: HCRYPTPROV; dwLen: DWORD;
    pbBuffer: PBYTE): BOOL; stdcall; external advapi32 name 'CryptGenRandom';

implementation
end.
